Package org.globus.gsi.trustmanager

# Class IdentityChecker

java.lang.Object
org.globus.gsi.trustmanager.IdentityChecker

All Implemented Interfaces:
  `CertificateChecker`

public class IdentityChecker extends Object implements CertificateChecker
Checks to see if a limited proxy is acceptable (if the chain has a limited proxy). Also, sets the identity certificate in the certificate path validator.

## Constructor Summary

Constructors
Constructor
Description
`IdentityChecker(X509ProxyCertPathValidator proxyCertPathValidator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that sets the identity of the certificate path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdentityChecker

public IdentityChecker(X509ProxyCertPathValidator proxyCertPathValidator)

## Method Details

### invoke

public void invoke(X509Certificate cert, GSIConstants.CertificateType certType) throws CertPathValidatorException
Method that sets the identity of the certificate path. Also checks if limited proxy is acceptable.

Specified by:
  `invoke` in interface `CertificateChecker`
Parameters:
  `cert` - The certificate to validate.
  `certType` - The type of certificate to validate.
Throws:
  `CertPathValidatorException` - If limited proxies are not accepted and the chain has a limited proxy.